﻿@model MIMS.Portal.ViewModels.Terminal.TerminalIndexViewModel
@using MIMS.Portal.ValueObjects.Enum;

@{
    ViewData["PageTitle"] = "پایانه‌ها";
}


<!-- stats -->
<section>
    <div class="row" data-title="گجت ها" data-intro="گجت های نمایش دهنده خلاصه اطلاعات مرتبط">
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب ثبت شده" data-intro="تعداد حساب بانکی ثبت شده">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="cyan">
                                    @Model.Stats.Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="" class="icon-filter2 text-muted"></a> ثبت شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-birdpen cyan font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card" data-title="حساب منتظر بررسی" data-intro="تعداد حساب بانکی منتظر بررسی">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="orange">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Pending || x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Unknown).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@TerminalStatus.Pending.ToString()" class="icon-filter2 text-muted"></a> منتظر بررسی</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-judicialgavel orange font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="green">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.PreApproved || x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Approved).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@TerminalStatus.Approved.ToString()" class="icon-filter2 text-muted"></a> تایید شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-check-circle-o green font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-xs-12">
            <div class="card">
                <div class="card-body">
                    <div class="card-block">
                        <div class="media">
                            <div class="media-body text-xs-right">
                                <h3 class="red">
                                    @Model.Stats.Where(x => x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByWhois ||
                                           x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByBankAccount ||
                                           x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByStore ||
                                           x.Key == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByOther).Sum(x => x.Value).ToString("N0")
                                </h3>
                                <span><a asp-route-id="@TerminalStatus.RejectedByOther.ToString()" class="icon-filter2 text-muted"></a> رد شده</span>
                            </div>
                            <div class="media-right media-middle">
                                <i class="icon-times-circle-o red font-large-2 float-xs-right"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</section>
<!--/ stats -->
@if (User.IsInRole("Admin")) { 
    <partial name="_SearchFiltersPartial" for="@Model.Filters" />
}


<section>
    <div class="card">
        <div class="card-header">
            <h4 class="card-title">
                فهرست
            </h4>
        </div>
        <div class="card-body">
            <div class="card-block">
                <div class="table-responsive">
                    <table class="table table-hover header-border text-nowrap">
                        <thead class="thead-inverse">
                            <tr>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().MerchantFullName)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().MerchantNationalCode)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().StoreFullName)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().BankAccountFullName)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().PspProvider)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().DeviceConnectionType)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().DeviceBrandId)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().DeviceModelId)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().DeviceId)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().MerchantNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().TerminalNumber)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().Status)</th>
                                <th>@Html.DisplayNameFor(model => model.Terminals.FirstOrDefault().ReviewComment)</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Terminals)
                            {
                                <tr>
                                    <td>
                                        <a asp-action="Details" asp-controller="Merchants" asp-route-id="@item.MerchantId" asp-fragment="terminals" class="fa fa-fw fa-external-link ml-0" target="_blank"></a>&nbsp;
                                        @item.MerchantFullName
                                    </td>
                                    <td>@item.MerchantNationalCode</td>
                                    <td>@item.StoreFullName</td>
                                    <td>@item.BankAccountFullName</td>
                                    <td>@Html.DisplayFor(modelItem => item.PspProvider)</td>
                                    <td>@Html.DisplayFor(modelItem => item.DeviceConnectionType)</td>
                                    <td>@item.DeviceBrandName</td>
                                    <td>@item.DeviceModelName</td>
                                    <td>@item.DeviceSerial</td>
                                    <td>@item.MerchantNumber</td>
                                    <td>@item.TerminalNumber</td>
                                    <td>
                                        @{
                                            var statusColor = "default";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Unknown || item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Pending)
                                                statusColor = "warning";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.PreApproved)
                                                statusColor = "info";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.Approved)
                                                statusColor = "success";

                                            if (item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByWhois ||
                                                item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByBankAccount ||
                                                item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByStore ||
                                                item.Status == MIMS.Portal.ValueObjects.Enum.TerminalStatus.RejectedByOther)
                                                statusColor = "danger";
                                        }

                                        <i class="fa fa-circle-o text-@statusColor ml-0"></i> @Html.DisplayFor(modelItem => item.Status)
                                    </td>
                                    <td>@item.ReviewComment</td>
                                </tr>
                            }
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</section>


@section Scripts{

}